%define uname cegui
%define libname %mklibname %{uname} %{version}
%define develname %mklibname %{uname} -d

Summary:	A free library providing windowing and widgets for graphics APIs / engines
Name:		cegui0.7
Version:	0.7.9
Release:	%mkrel 10
License:	MIT
Group:		Development/C++
URL:		http://www.cegui.org.uk
Source0:	http://prdownloads.sourceforge.net/crayzedsgui/CEGUI-%{version}.tar.gz
BuildRequires:	libxml2-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	freetype2-devel
BuildRequires:	pcre-devel
BuildRequires:	freeimage-devel
BuildRequires:	libexpat-devel
BuildRequires:	libxerces-c-devel
BuildRequires:	gtk2-devel
BuildRequires:	devil-devel
BuildRequires:	glew-devel
BuildRequires:	tinyxml-devel
BuildRequires:	fribidi-devel
BuildRequires:	irrlicht-devel

%description
Crazy Eddie's GUI System is a free library providing windowing and widgets for 
graphics APIs / engines where such functionality is not natively available,
or severely lacking. The library is object orientated, written in C++, 
and targeted at games developers who should be spending their time creating 
great games, not building GUI sub-systems!

%package -n %{libname}
Summary:	CEGUI library
Group:		Games/Other

%description -n %{libname}
This is a library used by CEGUI.

%package -n %{develname}
Summary:	Development files for CEGUI
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{uname}-devel = %{version}-%{release}
Provides:	%{uname}-devel = %{version}-%{release}
Conflicts:	%{_lib}CEUI0.6-devel

%description -n  %{develname}
Development file for CEGUI.

%prep
%setup -q -n CEGUI-%{version}

%build
%configure2_5x \
	--with-gtk2 \
	--disable-static --disable-corona --disable-samples \
	--enable-freeimage \
	--disable-directfb-renderer --disable-irrlicht-renderer \
	--enable-bidirectional-text \
	--with-default-xml-parser=ExpatParser \
	--with-pic

# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%files -n %{libname}
%{_libdir}/libCEGUI*-%{version}.so

%files -n %{develname}
%{_libdir}/*.so
%exclude %{_libdir}/libCEGUI*-%{version}.so
%{_includedir}/CEGUI
%{_libdir}/pkgconfig/*.pc
%{_datadir}/CEGUI


%changelog
* Sat Feb 13 2016 umeabot <umeabot> 0.7.9-10.mga6
+ Revision: 959678
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 sander85 <sander85> 0.7.9-9.mga6
+ Revision: 869078
- Rebuild for new glew 1.13.0

* Wed Jun 24 2015 akien <akien> 0.7.9-8.mga6
+ Revision: 842001
- Rebuild for GLEW 1.12

* Wed Oct 15 2014 umeabot <umeabot> 0.7.9-7.mga5
+ Revision: 740007
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.7.9-6.mga5
+ Revision: 693583
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.7.9-5.mga5
+ Revision: 678344
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.7.9-4.mga5
+ Revision: 670262
- rebuild for glew

* Tue Aug 26 2014 luigiwalser <luigiwalser> 0.7.9-3.mga5
+ Revision: 668373
- rebuild

* Tue Apr 01 2014 akien <akien> 0.7.9-2.mga5
+ Revision: 611165
- Rename to cegui0.7

* Thu Mar 13 2014 dams <dams> 0.7.9-1.mga5
+ Revision: 603110
- new version 0.7.9

* Sat Oct 19 2013 umeabot <umeabot> 0.7.7-6.mga4
+ Revision: 530459
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 0.7.7-5.mga4
+ Revision: 457693
- Rebuild for new glew

* Fri Jan 11 2013 umeabot <umeabot> 0.7.7-4.mga3
+ Revision: 347551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.7.7-3.mga3
+ Revision: 323635
- rebuild for new pcre

* Thu Aug 30 2012 fwang <fwang> 0.7.7-2.mga3
+ Revision: 285747
- use configure2_5x

* Thu Aug 30 2012 fwang <fwang> 0.7.7-1.mga3
+ Revision: 285738
- irrlicht renderer does not build now
- new version 0.7.7
- rebuild for new glew

* Mon Oct 03 2011 fwang <fwang> 0.7.5-5.mga2
+ Revision: 151156
- rebuild for new glew

* Wed Sep 21 2011 fwang <fwang> 0.7.5-4.mga2
+ Revision: 146381
- drop .la files

  + stormi <stormi>
    - clean spec

  + zezinho <zezinho>
    - disable SILLY for now, as it is not packaged
    - imported package cegui

